Subject: [secdir] Review of draft-ietf-avt-app-rtp-keepalive-05

From: Shawn M Emery <[email-masked]>
Date: Mon, 15 Jun 2009 00:50:16 -0600

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the IESG.
These comments were written primarily for the benefit of the security
area directors. Document editors and WG chairs should treat these
comments just like any other last call comments.

This draft describes various ways for RTP applications to keep NAT 
mappings alive.  It goes on to detail individual keepalive methods and 
advantages/disadvantages of its approach.

Intended status of the draft is BCP.

I'm not for sure I understand the security considerations section, but I 
think what it's trying to say is that: old peers, which don't understand 
the new keepalive message, will appropriately drop the packet sent by 
its peer?  If so then please reword accordingly.

No additional security related issues beyond RTP itself discovered in 
this draft.

General comment(s):

I appreciate the use of a requirements section, this makes it easier to 
find out what is or is not in scope for the recommended solutions.

Editorial comment(s):

Expand the first occurrences of "SDP" and "RTCP".

s/needs support/needs to support/

s/mux"attribute/mux" attribute/

Shawn.
--

---

From: <[email-masked]>
Date: Tue, 16 Jun 2009 14:51:06 +0200

> old peers, which don't understand the new keepalive message, will 
> appropriately drop the packet sent by its peer?
 
Yes exactly. An old peer "only" implements RFC3550, which mandates to "ignore packets with payload types that it does not understand". The new fallback keepalive message makes part of such non-understandable packets and will thus be ignored/discarded, as mentioned in section 4.6

> s/mux"attribute/mux" attribute/
 
Thank you for your careful review. 
 
Cheers,
Xavier & Aurélien 

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]] 
Envoyé : lundi 15 juin 2009 08:50
À : [email-masked]; [email-masked]; [email-masked]; [email-masked]
Objet : Review of draft-ietf-avt-app-rtp-keepalive-05

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.
These comments were written primarily for the benefit of the security area directors. Document editors and WG chairs should treat these comments just like any other last call comments.

This draft describes various ways for RTP applications to keep NAT mappings alive.  It goes on to detail individual keepalive methods and advantages/disadvantages of its approach.

I'm not for sure I understand the security considerations section, but I think what it's trying to say is that: old peers, which don't understand the new keepalive message, will appropriately drop the packet sent by its peer?  If so then please reword accordingly.

No additional security related issues beyond RTP itself discovered in this draft.

General comment(s):

I appreciate the use of a requirements section, this makes it easier to find out what is or is not in scope for the recommended solutions.

Editorial comment(s):

Shawn.
--